[PATCH hglib] tests: handle the removal of `obsolete._enabled` in Mercurial

Yuya Nishihara yuya at tcha.org
Wed May 8 19:09:42 EDT 2019


On Tue, 07 May 2019 22:21:28 -0400, Matt Harbison wrote:
> # HG changeset patch
> # User Matt Harbison <matt_harbison at yahoo.com>
> # Date 1557281819 14400
> #      Tue May 07 22:16:59 2019 -0400
> # Node ID 1febca34c800a64cc2c886d24920b936674cbd1c
> # Parent  33b512aa8dba0cbe523188fbb62d30ae2125a236
> tests: handle the removal of `obsolete._enabled` in Mercurial

LGTM.

> I'm not sure why we can't just set `experimental.evolution=all`, but it didn't
> work.

No idea, but I don't think the config knob can be used anyway since the hglib
tests have to support old Mercurial versions.


More information about the Mercurial-devel mailing list